#!/bin/bash

#remove previous doc
rm -rf "$ISSM_TIER/doxygen/doc_m/matlabhtml"

#copy issm_template in m2html
ln -s $ISSM_TIER/doxygen/doc_m/template_issm $ISSM_TIER/externalpackages/m2html/install/templates/

#go to the main directory
cd $ISSM_TIER

#launch matlab
matlab -nodisplay << EOF

	%Add m2html in path
	addpath(genpath_ice([issmtier() '/externalpackages/m2html/install']));

	%Here are the subdirectories we want to go through:
	mfiles={'src/m' 'src/mex' 'bin'}; %bon for mex modules

	%run m2html, and dump the documentation in ISSM_TIER/doc/website/doc_m/matlabhtml
	m2html('mFiles',mfiles,...
	'htmlDir',[issmtier() '/doxygen/doc_m/matlabhtml'],...
	'recursive','on',...
	'source','on',...
	'syntaxHighlighting','on',...
	'tabs',3,...
	'globalHypertextLinks','on',...
	'todo','on',...
	'indexFile','index.html',...
	'template','template_issm',...
	'extension','.html',...
	'graph','off',...
	'index','index');
EOF

#remove soft link
rm "$ISSM_TIER/externalpackages/m2html/install/templates/template_issm"
